Bug 22124 - Update cataloguing plugin system to not generate type parameter in script tag
Summary: Update cataloguing plugin system to not generate type parameter in script tag
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22126
  Show dependency treegraph
 
Reported: 2019-01-14 09:16 UTC by Josef Moravec
Modified: 2019-02-25 09:36 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22124: Update cataloguing plugin system to not generate type parameter in script tag (1.14 KB, patch)
2019-01-14 11:28 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 22124: Update cataloguing plugin system to not generate type parameter in script tag (1.18 KB, patch)
2019-01-14 12:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22124: Update cataloguing plugin system to not generate type parameter in script tag (1.25 KB, patch)
2019-01-20 12:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2019-01-14 09:16:36 UTC

    
Comment 1 Josef Moravec 2019-01-14 11:28:43 UTC
Created attachment 83884 [details] [review]
Bug 22124: Update cataloguing plugin system to not generate type parameter in script tag

Test plan:
1) Apply the patch
2) Have defined some cataloguing plugin which generates javascript - for
example dateaccessioned.pl
3) Go to cataloguing/adding item and show source
-> there should be no type parameter in script tag in code added by
cataloguing pulgin
4) prove t/db_dependent/FrameworkPlugin.t
Comment 2 Owen Leonard 2019-01-14 12:50:00 UTC
Created attachment 83886 [details] [review]
Bug 22124: Update cataloguing plugin system to not generate type parameter in script tag

Test plan:
1) Apply the patch
2) Have defined some cataloguing plugin which generates javascript - for
example dateaccessioned.pl
3) Go to cataloguing/adding item and show source
-> there should be no type parameter in script tag in code added by
cataloguing pulgin
4) prove t/db_dependent/FrameworkPlugin.t

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 3 Josef Moravec 2019-01-14 14:48:35 UTC
> Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Thanks Owen!
Comment 4 Katrin Fischer 2019-01-20 12:02:05 UTC
Created attachment 84243 [details] [review]
Bug 22124: Update cataloguing plugin system to not generate type parameter in script tag

Test plan:
1) Apply the patch
2) Have defined some cataloguing plugin which generates javascript - for
example dateaccessioned.pl
3) Go to cataloguing/adding item and show source
-> there should be no type parameter in script tag in code added by
cataloguing pulgin
4) prove t/db_dependent/FrameworkPlugin.t

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Nick Clemens 2019-01-28 16:12:44 UTC
Awesome work all!

Pushed to master for 19.05
Comment 6 Martin Renvoize 2019-02-01 14:53:36 UTC
Pushed to 18.11.x for 18.11.03
Comment 7 Jesse Maseto 2019-02-06 18:06:42 UTC
Pushed to 18.05.x for 18.05.09
Comment 8 Fridolin SOMERS 2019-02-25 09:36:13 UTC
Trivial, I dont push to 17.11.x